"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ethers_1 = require("ethers");
var web3_1 = __importDefault(require("web3"));
var __1 = require("..");
// const executeEthers = async () => {
//   const provider = new ethers.providers.InfuraProvider(
//     1,
//     '9aa3d95b3bc440fa88ea12eaa4456161'
//   );
//   const balances = await getBalancesForEthereumAddress({
//     contractAddresses: [
//       '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984',
//       '0xde30da39c46104798bb5aa3fe8b9e0e1f348163f',
//     ],
//     ethereumAddress: '0x37c81284caA97131339415687d192BF7D18F0f2a',
//     providerOptions: {
//       ethersProvider: provider,
//     },
//     formatBalances: true,
//   });
//   console.log('ethers', balances);
// };
// executeEthers();
// const executeWeb3 = async () => {
//   const web3 = new Web3(
//     'https://mainnet.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161'
//   );
//   const balances = await getBalancesForEthereumAddress({
//     contractAddresses: [
//       '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984',
//       '0xde30da39c46104798bb5aa3fe8b9e0e1f348163f',
//     ],
//     ethereumAddress: '0x37c81284caA97131339415687d192BF7D18F0f2a',
//     providerOptions: {
//       web3Instance: web3,
//     },
//     formatBalances: true,
//   });
//   console.log('web3', balances);
// };
// executeWeb3();
var executeEthersBulk = function () { return __awaiter(void 0, void 0, void 0, function () {
    var provider, balances;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                provider = new ethers_1.ethers.providers.InfuraProvider(1, '9aa3d95b3bc440fa88ea12eaa4456161');
                return [4 /*yield*/, __1.getBalancesForEthereumAddresses({
                        contractAddresses: [
                            '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984',
                            '0xde30da39c46104798bb5aa3fe8b9e0e1f348163f',
                        ],
                        ethereumAddresses: [
                            '0x37c81284caA97131339415687d192BF7D18F0f2a',
                            '0x699c2daD091ffcF18f3cd9E8495929CA3a64dFe1',
                        ],
                        providerOptions: {
                            ethersProvider: provider,
                        },
                        formatBalances: true,
                    })];
            case 1:
                balances = _a.sent();
                console.log('ethers', balances);
                return [2 /*return*/];
        }
    });
}); };
executeEthersBulk();
var executeWeb3Bulk = function () { return __awaiter(void 0, void 0, void 0, function () {
    var web3, balances;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                web3 = new web3_1.default('https://mainnet.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161');
                return [4 /*yield*/, __1.getBalancesForEthereumAddresses({
                        contractAddresses: [
                            '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984',
                            '0xde30da39c46104798bb5aa3fe8b9e0e1f348163f',
                        ],
                        ethereumAddresses: [
                            '0x37c81284caA97131339415687d192BF7D18F0f2a',
                            '0x699c2daD091ffcF18f3cd9E8495929CA3a64dFe1',
                        ],
                        providerOptions: {
                            web3Instance: web3,
                        },
                        formatBalances: true,
                    })];
            case 1:
                balances = _a.sent();
                console.log('web3', balances);
                return [2 /*return*/];
        }
    });
}); };
executeWeb3Bulk();
